/**
 * Copyright 2006 by jFramework.org.
 */
package org.jframework.core.util;

import java.io.Serializable;

/**
 * Represents a pair of elements.
 *
 * @author mgridnev
 * @version 1.0, Dec 1, 2006
 */
public class Pair<L, R> extends Bean implements Serializable
{
    /**
     * Left element
     */
    private L left;

    /**
     * Right element
     */
    private R right;

    /**
     * Creates a pair.
     *
     * @param left  left value
     * @param right right value
     * @return a pair
     */
    public static <L, R> Pair<L, R> create(L left, R right)
    {
        return new Pair<L, R>(left, right);
    }

    /**
     * Creates a pair
     *
     * @param left  left element
     * @param right right element
     */
    public Pair(L left, R right)
    {
        this.left = left;
        this.right = right;
    }

    /**
     * Returns left element
     */
    public L getLeft()
    {
        return left;
    }

    /**
     * Returns right element
     */
    public R getRight()
    {
        return right;
    }
}
