/**
 * Copyright 2008 by jFramework.org.
 */
package org.jframework.core.util;

import java.util.TimeZone;

/**
 * A time zone aware entity.
 *
 * @author mgridnev
 * @version 1.0, Jun 10, 2008
 */
public interface TimeZoneAware
{
    /**
     * Returns current time zone.
     *
     * @return time zone.
     */
    TimeZone getTimeZone();

    /**
     * Sets time zone.
     *
     * @param timeZone time zone
     */
    void setTimeZone(TimeZone timeZone);
}
